XMLReader->next
XMLReader->read
XMLReader
PHP Manual

# XMLReader->open

(PHP 5 >= 5.1.2)

XMLReader->open — URI angeben, die auf XML-Inhalt verweist, der geparst werden soll

### Beschreibung

XMLReader
bool open ( string `$URI` [, string `$encoding` [, int `$options` ]] )

URI angeben, die auf XML-Inhalt verweist, der geparst werden soll.

### Parameter-Liste

`URI`

  URI die auf den XML-Inhalt verweist.

`encoding`

  Dokumentkodierung oder `NULL`.

`options`

  Bitmaske mit XMLReader-Options-Konstanten.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
5.2.0 | `encoding` und `options` wurden ergänzt.

### Siehe auch

- XMLReader->XML
- XMLReader->close

XMLReader->next
XMLReader->read
XMLReader
PHP Manual